<?php
defined('BASEPATH') OR exit('No direct script access allowed');
//print_r($detay);
?>
	<!DOCTYPE html>
	<html lang="pt">
	<head>
<?php $this->load->view('includes/header',isset($data) ? $data : NULL);?>		

	</head>
	<body>
<?php $this->load->view('includes/top',isset($data) ? $data : NULL);?>	

<div class="xs-spacer30 sm-spacer30">
</div>


<?php 
//print_r($detay);
?>

<div class="article">
<div class="container">
<div class="sm-spacer150">
</div>


<form method="POST" action="/reservation/update-passengers/<?=$grup_id?>/<?=$token?>">
<div class="row">
<div class="col-md-8">
<?php require_once("includes/guest_info.php") ?>
</div>
<div class="col-md-4">
<?php require_once("includes/reservation_summary.php") ?>
</div>

</div>


</form>
<div class="sm-spacer60">
</div>
</div>
</div>



	<?php $this->load->view('includes/footer',isset($data) ? $data : NULL);?>	
<script>

$( document ).ready(function() {
tc_kontrol();
});


$( "#iletisim_isim" ).blur(function() { tc_kontrol(); });
$( "#iletisim_soyisim" ).blur(function() { tc_kontrol(); });
$( "#iletisim_dogum_yili" ).blur(function() { tc_kontrol(); });


$('#tc_vatandasi_degil').click(function(){

tc_kontrol();
}) 

function tc_kontrol(){

if ($('#tc_vatandasi_degil').prop('checked')) {
$("#tc_kimlik_dogrulama_sonuc").val(0);
 $("#iletisim_tc_kimlik").prop("required",false);
 $("#iletisim_dogum_yili").prop("required",false); 
hata_kontrol();
$("#tc_kimlik_uyari_div").addClass("hidden"); 
$("#iletisim_tc_kimlik").prop("readonly",true);
$("#iletisim_dogum_yili").prop("readonly",true);


return false;
}else{
$("#iletisim_dogum_yili").prop("readonly",false);  
$("#iletisim_tc_kimlik").prop("readonly",false);  

 $("#iletisim_tc_kimlik").prop("required",false);
 $("#iletisim_dogum_yili").prop("required",false); 
}

var isim=$("#iletisim_isim" ).val();
var soyisim=$( "#iletisim_soyisim" ).val();
var tckimlik_no=$("#iletisim_tc_kimlik").val();
var dogum_yili=$( "#iletisim_dogum_yili" ).val();


if(isim.length>0 && soyisim.length>0  &&  dogum_yili.length>0){
$("#loading").removeClass("hidden");
$.post( "/Welcome/tc_kontrol", { isim: isim , soyisim: soyisim, tckimlik: tckimlik_no, dogum_yili:dogum_yili }, function( data ) {
 //console.log(data);
var obj = jQuery.parseJSON(data);
//console.log(obj.result);
$("#loading").addClass("hidden");
hata_kontrol();
/*
if(obj.result==false){
$("#tc_kimlik_uyari_div").removeClass("hidden");
$("#tc_kimlik_dogrulama_sonuc").val(1);
hata_kontrol();
}else{
$("#tc_kimlik_uyari_div").addClass("hidden");  
$("#tc_kimlik_dogrulama_sonuc").val(0);
hata_kontrol();
}*/
});

}


}


function hata_kontrol(){

var toplam_hata=0;

/*

if($("#tc_kimlik_dogrulama_sonuc").val()==1){
  toplam_hata++;  
}
*/
console.log(toplam_hata);
//tc_kimlik_dogrulama_sonuc
if(toplam_hata==0){
$(".btn-sonraki-adim").prop( "disabled", false );  
}else{
$(".btn-sonraki-adim").prop( "disabled", true );  
return false;
}


}
</script>

	</body>
	</html>